org.apache.ignite.internal.processors.clock

## Class GridJvmClockSource

- java.lang.Object
- - org.apache.ignite.internal.processors.clock.GridJvmClockSource

All Implemented Interfaces:
  GridClockSource

    public class GridJvmClockSource
    extends Object
    implements GridClockSource

JVM time source.

### Constructor Summary

Constructors
Constructor and Description
`GridJvmClockSource()`

### Method Summary

Methods
`long` `currentTimeMillis()` Gets current time in milliseconds past since 1 January, 1970.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridJvmClockSource

    public GridJvmClockSource()

### Method Detail

#### currentTimeMillis

    public long currentTimeMillis()

Gets current time in milliseconds past since 1 January, 1970.

Specified by:
  `currentTimeMillis` in interface `GridClockSource`
Returns:
  Current time in milliseconds.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015